Index: df-problems.c
===================================================================
--- df-problems.c	(revision 189457)
+++ df-problems.c	(working copy)
@@ -44,13 +44,12 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "dce.h"
 #include "vecprim.h"
+#include "dumpfile.h"
 
 /* Note that turning REG_DEAD_DEBUGGING on will cause
    gcc.c-torture/unsorted/dump-noaddr.c to fail because it prints
    addresses in the dumps.  */
-#if 0
-#define REG_DEAD_DEBUGGING
-#endif
+#define REG_DEAD_DEBUGGING 0
 
 #define DF_SPARSE_THRESHOLD 32
 
@@ -2712,7 +2711,7 @@ df_note_alloc (bitmap all_blocks ATTRIBUTE_UNUSED)
   df_note->optional_p = true;
 }
 
-#ifdef REG_DEAD_DEBUGGING
+/* This is only used if REG_DEAD_DEBUGGING is in effect.  */
 static void
 df_print_note (const char *prefix, rtx insn, rtx note)
 {
@@ -2723,7 +2722,6 @@ df_print_note (const char *prefix, rtx insn, rtx n
       fprintf (dump_file, "\n");
     }
 }
-#endif
 
 
 /* After reg-stack, the x86 floating point stack regs are difficult to
@@ -2772,9 +2770,8 @@ df_kill_notes (rtx insn, bitmap live)
 	  else
 	    {
 	      rtx next = XEXP (link, 1);
-#ifdef REG_DEAD_DEBUGGING
-	      df_print_note ("deleting: ", insn, link);
-#endif
+	      if (REG_DEAD_DEBUGGING)
+		df_print_note ("deleting: ", insn, link);
 	      free_EXPR_LIST_node (link);
 	      *pprev = link = next;
 	    }
@@ -2791,9 +2788,8 @@ df_kill_notes (rtx insn, bitmap live)
 	  else
 	    {
 	      rtx next = XEXP (link, 1);
-#ifdef REG_DEAD_DEBUGGING
-	      df_print_note ("deleting: ", insn, link);
-#endif
+	      if (REG_DEAD_DEBUGGING)
+		df_print_note ("deleting: ", insn, link);
 	      free_EXPR_LIST_node (link);
 	      *pprev = link = next;
 	    }
@@ -2825,9 +2821,8 @@ df_kill_notes (rtx insn, bitmap live)
 	    if (deleted)
 	      {
 		rtx next;
-#ifdef REG_DEAD_DEBUGGING
-		df_print_note ("deleting: ", insn, link);
-#endif
+		if (REG_DEAD_DEBUGGING)
+		  df_print_note ("deleting: ", insn, link);
 		next = XEXP (link, 1);
 		free_EXPR_LIST_node (link);
 		*pprev = link = next;
@@ -2900,11 +2895,9 @@ df_set_unused_notes_for_mw (rtx insn, struct df_mw
 {
   unsigned int r;
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
+  if (REG_DEAD_DEBUGGING && dump_file)
     fprintf (dump_file, "mw_set_unused looking at mws[%d..%d]\n",
 	     mws->start_regno, mws->end_regno);
-#endif
 
   if (df_whole_mw_reg_unused_p (mws, live, artificial_uses))
     {
@@ -2912,9 +2905,9 @@ df_set_unused_notes_for_mw (rtx insn, struct df_mw
       df_set_note (REG_UNUSED, insn, mws->mw_reg);
       dead_debug_insert_temp (debug, regno, insn, DEBUG_TEMP_AFTER_WITH_REG);
 
-#ifdef REG_DEAD_DEBUGGING
-      df_print_note ("adding 1: ", insn, REG_NOTES (insn));
-#endif
+      if (REG_DEAD_DEBUGGING)
+	df_print_note ("adding 1: ", insn, REG_NOTES (insn));
+
       bitmap_set_bit (do_not_gen, regno);
       /* Only do this if the value is totally dead.  */
     }
@@ -2926,9 +2919,8 @@ df_set_unused_notes_for_mw (rtx insn, struct df_mw
 	  {
 	    df_set_note (REG_UNUSED, insn, regno_reg_rtx[r]);
 	    dead_debug_insert_temp (debug, r, insn, DEBUG_TEMP_AFTER_WITH_REG);
-#ifdef REG_DEAD_DEBUGGING
-	    df_print_note ("adding 2: ", insn, REG_NOTES (insn));
-#endif
+	    if (REG_DEAD_DEBUGGING)
+	      df_print_note ("adding 2: ", insn, REG_NOTES (insn));
 	  }
 	bitmap_set_bit (do_not_gen, r);
       }
@@ -2978,8 +2970,7 @@ df_set_dead_notes_for_mw (rtx insn, struct df_mw_h
 
   *added_notes_p = false;
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
+  if (REG_DEAD_DEBUGGING && dump_file)
     {
       fprintf (dump_file, "mw_set_dead looking at mws[%d..%d]\n  do_not_gen =",
 	       mws->start_regno, mws->end_regno);
@@ -2989,7 +2980,6 @@ df_set_dead_notes_for_mw (rtx insn, struct df_mw_h
       fprintf (dump_file, "  artificial uses =");
       df_print_regset (dump_file, artificial_uses);
     }
-#endif
 
   if (df_whole_mw_reg_dead_p (mws, live, artificial_uses, do_not_gen))
     {
@@ -3000,9 +2990,8 @@ df_set_dead_notes_for_mw (rtx insn, struct df_mw_h
 	}
       /* Add a dead note for the entire multi word register.  */
       df_set_note (REG_DEAD, insn, mws->mw_reg);
-#ifdef REG_DEAD_DEBUGGING
-      df_print_note ("adding 1: ", insn, REG_NOTES (insn));
-#endif
+      if (REG_DEAD_DEBUGGING)
+	df_print_note ("adding 1: ", insn, REG_NOTES (insn));
     }
   else
     {
@@ -3017,9 +3006,8 @@ df_set_dead_notes_for_mw (rtx insn, struct df_mw_h
 		return;
 	      }
 	    df_set_note (REG_DEAD, insn, regno_reg_rtx[r]);
-#ifdef REG_DEAD_DEBUGGING
-	    df_print_note ("adding 2: ", insn, REG_NOTES (insn));
-#endif
+	    if (REG_DEAD_DEBUGGING)
+	      df_print_note ("adding 2: ", insn, REG_NOTES (insn));
 	  }
     }
   return;
@@ -3036,13 +3024,11 @@ df_create_unused_note (rtx insn, df_ref def,
 {
   unsigned int dregno = DF_REF_REGNO (def);
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
+  if (REG_DEAD_DEBUGGING && dump_file)
     {
       fprintf (dump_file, "  regular looking at def ");
       df_ref_debug (def, dump_file);
     }
-#endif
 
   if (!((DF_REF_FLAGS (def) & DF_REF_MW_HARDREG)
 	|| bitmap_bit_p (live, dregno)
@@ -3053,9 +3039,8 @@ df_create_unused_note (rtx insn, df_ref def,
                 ? *DF_REF_REAL_LOC (def): DF_REF_REG (def);
       df_set_note (REG_UNUSED, insn, reg);
       dead_debug_insert_temp (debug, dregno, insn, DEBUG_TEMP_AFTER_WITH_REG);
-#ifdef REG_DEAD_DEBUGGING
-      df_print_note ("adding 3: ", insn, REG_NOTES (insn));
-#endif
+      if (REG_DEAD_DEBUGGING)
+	df_print_note ("adding 3: ", insn, REG_NOTES (insn));
     }
 
   return;
@@ -3387,23 +3372,20 @@ df_note_bb_compute (unsigned int bb_index,
   bitmap_copy (live, df_get_live_out (bb));
   bitmap_clear (artificial_uses);
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
+  if (REG_DEAD_DEBUGGING && dump_file)
     {
       fprintf (dump_file, "live at bottom ");
       df_print_regset (dump_file, live);
     }
-#endif
 
   /* Process the artificial defs and uses at the bottom of the block
      to begin processing.  */
   for (def_rec = df_get_artificial_defs (bb_index); *def_rec; def_rec++)
     {
       df_ref def = *def_rec;
-#ifdef REG_DEAD_DEBUGGING
-      if (dump_file)
+
+      if (REG_DEAD_DEBUGGING && dump_file)
 	fprintf (dump_file, "artificial def %d\n", DF_REF_REGNO (def));
-#endif
 
       if ((DF_REF_FLAGS (def) & DF_REF_AT_TOP) == 0)
 	bitmap_clear_bit (live, DF_REF_REGNO (def));
@@ -3423,13 +3405,11 @@ df_note_bb_compute (unsigned int bb_index,
 	}
     }
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
+  if (REG_DEAD_DEBUGGING && dump_file)
     {
       fprintf (dump_file, "live before artificials out ");
       df_print_regset (dump_file, live);
     }
-#endif
 
   FOR_BB_INSNS_REVERSE (bb, insn)
     {
@@ -3448,13 +3428,12 @@ df_note_bb_compute (unsigned int bb_index,
       /* Process the defs.  */
       if (CALL_P (insn))
 	{
-#ifdef REG_DEAD_DEBUGGING
-	  if (dump_file)
+	  if (REG_DEAD_DEBUGGING && dump_file)
 	    {
 	      fprintf (dump_file, "processing call %d\n  live =", INSN_UID (insn));
 	      df_print_regset (dump_file, live);
 	    }
-#endif
+
 	  /* We only care about real sets for calls.  Clobbers cannot
 	     be depended on to really die.  */
 	  mws_rec = DF_INSN_UID_MWS (uid);
@@ -3541,13 +3520,12 @@ df_note_bb_compute (unsigned int bb_index,
 	  df_ref use = *use_rec;
 	  unsigned int uregno = DF_REF_REGNO (use);
 
-#ifdef REG_DEAD_DEBUGGING
-	  if (dump_file && !debug_insn)
+	  if (REG_DEAD_DEBUGGING && dump_file && !debug_insn)
 	    {
 	      fprintf (dump_file, "  regular looking at use ");
 	      df_ref_debug (use, dump_file);
 	    }
-#endif
+
 	  if (!bitmap_bit_p (live, uregno))
 	    {
 	      if (debug_insn)
@@ -3578,9 +3556,8 @@ df_note_bb_compute (unsigned int bb_index,
                             ? *DF_REF_REAL_LOC (use) : DF_REF_REG (use);
 		  df_set_note (REG_DEAD, insn, reg);
 
-#ifdef REG_DEAD_DEBUGGING
-		  df_print_note ("adding 4: ", insn, REG_NOTES (insn));
-#endif
+		  if (REG_DEAD_DEBUGGING)
+		    df_print_note ("adding 4: ", insn, REG_NOTES (insn));
 		}
 	      /* This register is now live.  */
 	      bitmap_set_bit (live, uregno);
@@ -3612,11 +3589,6 @@ df_note_compute (bitmap all_blocks)
   bitmap_initialize (&do_not_gen, &df_bitmap_obstack);
   bitmap_initialize (&artificial_uses, &df_bitmap_obstack);
 
-#ifdef REG_DEAD_DEBUGGING
-  if (dump_file)
-    print_rtl_with_bb (dump_file, get_insns());
-#endif
-
   EXECUTE_IF_SET_IN_BITMAP (all_blocks, 0, bb_index, bi)
   {
     df_note_bb_compute (bb_index, &live, &do_not_gen, &artificial_uses);
Index: lcm.c
===================================================================
--- lcm.c	(revision 189457)
+++ lcm.c	(working copy)
@@ -63,11 +63,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "function.h"
 #include "sbitmap.h"
+#include "dumpfile.h"
 
-/* We want target macros for the mode switching code to be able to refer
-   to instruction attribute values.  */
-#include "insn-attr.h"
-
 /* Edge based LCM routines.  */
 static void compute_antinout_edge (sbitmap *, sbitmap *, sbitmap *, sbitmap *);
 static void compute_earliest (struct edge_list *, int, sbitmap *, sbitmap *,
Index: dojump.c
===================================================================
--- dojump.c	(revision 189457)
+++ dojump.c	(working copy)
@@ -1083,16 +1083,11 @@ do_compare_rtx_and_jump (rtx op0, rtx op1, enum rt
 	       last = NEXT_INSN (last))
 	    if (JUMP_P (last))
 	      break;
-	  if (!last
-	      || !JUMP_P (last)
-	      || NEXT_INSN (last)
-	      || !any_condjump_p (last))
+	  if (last
+	      && JUMP_P (last)
+	      && ! NEXT_INSN (last)
+	      && any_condjump_p (last))
 	    {
-	      if (dump_file)
-		fprintf (dump_file, "Failed to add probability note\n");
-	    }
-	  else
-	    {
 	      gcc_assert (!find_reg_note (last, REG_BR_PROB, 0));
 	      add_reg_note (last, REG_BR_PROB, GEN_INT (prob));
 	    }
Index: stmt.c
===================================================================
--- stmt.c	(revision 189457)
+++ stmt.c	(working copy)
@@ -54,6 +54,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "pretty-print.h"
 #include "bitmap.h"
 #include "params.h"
+#include "dumpfile.h"
 
 
 /* Functions and data structures for expanding case statements.  */
@@ -1867,9 +1868,7 @@ emit_case_decision_tree (tree index_expr, tree ind
 
   balance_case_nodes (&case_list, NULL);
 
-  /* Don't want to include tree-pass.h here.  This code will be moved
-     to a GIMPLE pass for GCC 4.9 anyway, so for now always dump.  */
-  if (dump_file && 1/*(dump_flags & TDF_DETAILS)*/)
+  if (dump_file && (dump_flags & TDF_DETAILS))
     {
       int indent_step = ceil_log2 (TYPE_PRECISION (index_type)) + 2;
       fprintf (dump_file, ";; Expanding GIMPLE switch as decision tree:\n");
Index: tree-cfgcleanup.c
===================================================================
--- tree-cfgcleanup.c	(revision 189457)
+++ tree-cfgcleanup.c	(working copy)
@@ -31,8 +31,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "langhooks.h"
 #include "tree-flow.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "except.h"
 #include "cfgloop.h"
Index: tree-object-size.c
===================================================================
--- tree-object-size.c	(revision 189457)
+++ tree-object-size.c	(working copy)
@@ -25,7 +25,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "diagnostic-core.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
Index: tree-ssa-copyrename.c
===================================================================
--- tree-ssa-copyrename.c	(revision 189457)
+++ tree-ssa-copyrename.c	(working copy)
@@ -33,9 +33,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-flow.h"
 #include "gimple.h"
 #include "tree-inline.h"
-#include "timevar.h"
 #include "hashtab.h"
-#include "tree-dump.h"
 #include "tree-ssa-live.h"
 #include "tree-pass.h"
 #include "langhooks.h"
Index: tree-ssa-loop-prefetch.c
===================================================================
--- tree-ssa-loop-prefetch.c	(revision 189457)
+++ tree-ssa-loop-prefetch.c	(working copy)
@@ -27,8 +27,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "tree-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "tree-pass.h"
 #include "insn-config.h"
Index: tree-ssa-operands.c
===================================================================
--- tree-ssa-operands.c	(revision 189457)
+++ tree-ssa-operands.c	(working copy)
@@ -25,11 +25,11 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "flags.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-inline.h"
-#include "tree-pass.h"
+#include "timevar.h"
+#include "dumpfile.h"
 #include "ggc.h"
 #include "timevar.h"
 #include "langhooks.h"
Index: gimplify.c
===================================================================
--- gimplify.c	(revision 189457)
+++ gimplify.c	(working copy)
@@ -44,9 +44,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "splay-tree.h"
 #include "vec.h"
 #include "gimple.h"
-#include "tree-pass.h"
 
-#include "langhooks-def.h"	/* FIXME: for lhd_set_decl_assembler_name.  */
+#include "langhooks-def.h"	/* FIXME: for lhd_set_decl_assembler_name */
+#include "tree-pass.h"		/* FIXME: only for PROP_gimple_any */
 
 enum gimplify_omp_var_data
 {
Index: tree-ssa-sink.c
===================================================================
--- tree-ssa-sink.c	(revision 189457)
+++ tree-ssa-sink.c	(working copy)
@@ -29,16 +29,12 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-inline.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
-#include "timevar.h"
-#include "fibheap.h"
 #include "hashtab.h"
 #include "tree-iterator.h"
 #include "alloc-pool.h"
 #include "tree-pass.h"
 #include "flags.h"
 #include "bitmap.h"
-#include "langhooks.h"
 #include "cfgloop.h"
 #include "params.h"
 
Index: predict.c
===================================================================
--- predict.c	(revision 189457)
+++ predict.c	(working copy)
@@ -53,9 +53,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "tree-flow.h"
 #include "ggc.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "tree-scalar-evolution.h"
 #include "cfgloop.h"
 #include "pointer-set.h"
Index: tree-ssa-dse.c
===================================================================
--- tree-ssa-dse.c	(revision 189457)
+++ tree-ssa-dse.c	(working copy)
@@ -26,11 +26,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "timevar.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
-#include "tree-dump.h"
 #include "domwalk.h"
 #include "flags.h"
 #include "langhooks.h"
Index: tree-vect-loop.c
===================================================================
--- tree-vect-loop.c	(revision 189457)
+++ tree-vect-loop.c	(working copy)
@@ -27,10 +27,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "tree-pass.h"
 #include "cfgloop.h"
 #include "expr.h"
 #include "recog.h"
Index: auto-inc-dec.c
===================================================================
--- auto-inc-dec.c	(revision 189457)
+++ auto-inc-dec.c	(working copy)
@@ -35,7 +35,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "diagnostic-core.h"
 #include "recog.h"
 #include "expr.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "dbgcnt.h"
Index: tree-eh.c
===================================================================
--- tree-eh.c	(revision 189457)
+++ tree-eh.c	(working copy)
@@ -28,11 +28,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "pointer-set.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "tree-inline.h"
-#include "tree-iterator.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "langhooks.h"
 #include "ggc.h"
 #include "diagnostic-core.h"
Index: coverage.c
===================================================================
--- coverage.c	(revision 189457)
+++ coverage.c	(working copy)
@@ -46,7 +46,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "hashtab.h"
 #include "tree-iterator.h"
 #include "cgraph.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "diagnostic-core.h"
 #include "intl.h"
 #include "filenames.h"
Index: emit-rtl.c
===================================================================
--- emit-rtl.c	(revision 189457)
+++ emit-rtl.c	(working copy)
@@ -56,7 +56,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "ggc.h"
 #include "debug.h"
 #include "langhooks.h"
-#include "tree-pass.h"
 #include "df.h"
 #include "params.h"
 #include "target.h"
Index: regmove.c
===================================================================
--- regmove.c	(revision 189457)
+++ regmove.c	(working copy)
@@ -41,7 +41,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "except.h"
 #include "diagnostic-core.h"
 #include "reload.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "ira.h"
Index: tree-pretty-print.c
===================================================================
--- tree-pretty-print.c	(revision 189457)
+++ tree-pretty-print.c	(working copy)
@@ -30,7 +30,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "tree-iterator.h"
 #include "tree-chrec.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "value-prof.h"
 #include "predict.h"
 
Index: tree-ssa-reassoc.c
===================================================================
--- tree-ssa-reassoc.c	(revision 189457)
+++ tree-ssa-reassoc.c	(working copy)
@@ -25,13 +25,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-inline.h"
 #include "tree-flow.h"
 #include "gimple.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "tree-iterator.h"
 #include "tree-pass.h"
 #include "alloc-pool.h"
Index: tree-sra.c
===================================================================
--- tree-sra.c	(revision 189457)
+++ tree-sra.c	(working copy)
@@ -80,11 +80,9 @@ along with GCC; see the file COPYING3.  If not see
 #include "gimple.h"
 #include "cgraph.h"
 #include "tree-flow.h"
+#include "tree-pass.h"
 #include "ipa-prop.h"
-#include "tree-pretty-print.h"
 #include "statistics.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "params.h"
 #include "target.h"
 #include "flags.h"
Index: tree-ssa-ccp.c
===================================================================
--- tree-ssa-ccp.c	(revision 189457)
+++ tree-ssa-ccp.c	(working copy)
@@ -119,10 +119,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-flow.h"
 #include "tree-pass.h"
 #include "tree-ssa-propagate.h"
Index: final.c
===================================================================
--- final.c	(revision 189457)
+++ final.c	(working copy)
@@ -74,7 +74,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "expr.h"
 #include "tree-pass.h"
 #include "tree-flow.h"
-#include "timevar.h"
 #include "cgraph.h"
 #include "coverage.h"
 #include "df.h"
Index: tree-ssa-loop.c
===================================================================
--- tree-ssa-loop.c	(revision 189457)
+++ tree-ssa-loop.c	(working copy)
@@ -26,9 +26,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm_p.h"
 #include "basic-block.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "flags.h"
 #include "tree-inline.h"
Index: tree-vect-stmts.c
===================================================================
--- tree-vect-stmts.c	(revision 189457)
+++ tree-vect-stmts.c	(working copy)
@@ -28,19 +28,19 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "target.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
 #include "cfgloop.h"
 #include "expr.h"
-#include "recog.h"
+#include "recog.h"		/* FIXME: for insn_data */
 #include "optabs.h"
 #include "diagnostic-core.h"
 #include "tree-vectorizer.h"
+#include "dumpfile.h"
+
+/* For lang_hooks.types.type_for_mode.  */
 #include "langhooks.h"
 
-
 /* Return a variable of type ELEM_TYPE[NELEMS].  */
 
 static tree
Index: cgraphclones.c
===================================================================
--- cgraphclones.c	(revision 189457)
+++ cgraphclones.c	(working copy)
@@ -82,15 +82,12 @@ along with GCC; see the file COPYING3.  If not see
 #include "target.h"
 #include "cgraph.h"
 #include "diagnostic.h"
-#include "timevar.h"
 #include "params.h"
-#include "fibheap.h"
 #include "intl.h"
 #include "function.h"
 #include "ipa-prop.h"
 #include "gimple.h"
 #include "tree-iterator.h"
-#include "tree-pass.h"
 #include "tree-dump.h"
 #include "gimple-pretty-print.h"
 #include "coverage.h"
Index: ree.c
===================================================================
--- ree.c	(revision 189457)
+++ ree.c	(working copy)
@@ -233,12 +233,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "recog.h"
 #include "diagnostic-core.h"
 #include "target.h"
-#include "timevar.h"
 #include "optabs.h"
 #include "insn-codes.h"
 #include "rtlhooks-def.h"
 #include "params.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "df.h"
 #include "cgraph.h"
Index: reg-stack.c
===================================================================
--- reg-stack.c	(revision 189457)
+++ reg-stack.c	(working copy)
@@ -167,7 +167,6 @@
 #include "basic-block.h"
 #include "reload.h"
 #include "ggc.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "target.h"
 #include "df.h"
Index: tree-switch-conversion.c
===================================================================
--- tree-switch-conversion.c	(revision 189457)
+++ tree-switch-conversion.c	(working copy)
@@ -37,8 +37,9 @@ Software Foundation, 51 Franklin Street, Fifth Flo
 #include "tree-ssa-operands.h"
 #include "tree-pass.h"
 #include "gimple-pretty-print.h"
-#include "tree-dump.h"
-#include "timevar.h"
+
+/* ??? For lang_hooks.types.type_for_mode, but is there a word_mode
+   type in the GIMPLE type system that is language-independent?  */
 #include "langhooks.h"
 
 /* Need to include expr.h and optabs.h for lshift_cheap_p.  */
Index: modulo-sched.c
===================================================================
--- modulo-sched.c	(revision 189457)
+++ modulo-sched.c	(working copy)
@@ -42,7 +42,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "params.h"
 #include "gcov-io.h"
 #include "ddg.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "dbgcnt.h"
 #include "df.h"
Index: graphite-optimize-isl.c
===================================================================
--- graphite-optimize-isl.c	(revision 189457)
+++ graphite-optimize-isl.c	(working copy)
@@ -33,7 +33,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "system.h"
 #include "coretypes.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: ipa-prop.c
===================================================================
--- ipa-prop.c	(revision 189457)
+++ ipa-prop.c	(working copy)
@@ -32,10 +32,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree-inline.h"
 #include "gimple.h"
 #include "flags.h"
-#include "timevar.h"
-#include "flags.h"
 #include "diagnostic.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "lto-streamer.h"
 #include "data-streamer.h"
Index: profile.c
===================================================================
--- profile.c	(revision 189457)
+++ profile.c	(working copy)
@@ -64,9 +64,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "value-prof.h"
 #include "tree.h"
 #include "tree-flow.h"
-#include "timevar.h"
 #include "cfgloop.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 
 #include "profile.h"
 
Index: sched-rgn.c
===================================================================
--- sched-rgn.c	(revision 189457)
+++ sched-rgn.c	(working copy)
@@ -64,7 +64,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "sched-int.h"
 #include "sel-sched.h"
 #include "target.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "dbgcnt.h"
 
Index: reorg.c
===================================================================
--- reorg.c	(revision 189457)
+++ reorg.c	(working copy)
@@ -132,7 +132,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "resource.h"
 #include "except.h"
 #include "params.h"
-#include "timevar.h"
 #include "target.h"
 #include "tree-pass.h"
 
Index: sched-vis.c
===================================================================
--- sched-vis.c	(revision 189457)
+++ sched-vis.c	(working copy)
@@ -32,7 +32,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "insn-attr.h"
 #include "sched-int.h"
-#include "tree-pass.h"
+#include "dumpfile.h"	/* for the TDF_* flags */
 
 static char *safe_concat (char *, char *, const char *);
 
Index: omega.c
===================================================================
--- omega.c	(revision 189457)
+++ omega.c	(working copy)
@@ -36,7 +36,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "coretypes.h"
 #include "tree.h"
 #include "diagnostic-core.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "omega.h"
 
 /* When set to true, keep substitution variables.  When set to false,
Index: dce.c
===================================================================
--- dce.c	(revision 189457)
+++ dce.c	(working copy)
@@ -32,7 +32,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "df.h"
 #include "cselib.h"
 #include "dce.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "dbgcnt.h"
 #include "tm_p.h"
Index: tree-ssa-dom.c
===================================================================
--- tree-ssa-dom.c	(revision 189457)
+++ tree-ssa-dom.c	(working copy)
@@ -29,10 +29,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "basic-block.h"
 #include "cfgloop.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
-#include "tree-dump.h"
 #include "tree-flow.h"
 #include "domwalk.h"
 #include "tree-pass.h"
Index: loop-invariant.c
===================================================================
--- loop-invariant.c	(revision 189457)
+++ loop-invariant.c	(working copy)
@@ -55,6 +55,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "params.h"
 #include "regs.h"
 #include "ira.h"
+#include "dumpfile.h"
 
 /* The data stored for the loop.  */
 
Index: tree-ssa.c
===================================================================
--- tree-ssa.c	(revision 189457)
+++ tree-ssa.c	(working copy)
@@ -30,16 +30,13 @@ along with GCC; see the file COPYING3.  If not see
 #include "langhooks.h"
 #include "basic-block.h"
 #include "function.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "bitmap.h"
 #include "pointer-set.h"
 #include "tree-flow.h"
 #include "gimple.h"
 #include "tree-inline.h"
-#include "timevar.h"
 #include "hashtab.h"
-#include "tree-dump.h"
 #include "tree-pass.h"
 #include "diagnostic-core.h"
 #include "cfgloop.h"
Index: gimple-pretty-print.c
===================================================================
--- gimple-pretty-print.c	(revision 189457)
+++ gimple-pretty-print.c	(working copy)
@@ -26,11 +26,10 @@ along with GCC; see the file COPYING3.  If not see
 #include "tm.h"
 #include "tree.h"
 #include "diagnostic.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "hashtab.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
+#include "dumpfile.h"	/* for dump_flags */
 #include "gimple.h"
 #include "value-prof.h"
 #include "trans-mem.h"
Index: tree-ssa-loop-im.c
===================================================================
--- tree-ssa-loop-im.c	(revision 189457)
+++ tree-ssa-loop-im.c	(working copy)
@@ -25,11 +25,8 @@ along with GCC; see the file COPYING3.  If not see
 #include "tree.h"
 #include "tm_p.h"
 #include "basic-block.h"
-#include "tree-pretty-print.h"
 #include "gimple-pretty-print.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
-#include "timevar.h"
 #include "cfgloop.h"
 #include "domwalk.h"
 #include "params.h"
Index: dbgcnt.c
===================================================================
--- dbgcnt.c	(revision 189457)
+++ dbgcnt.c	(working copy)
@@ -25,6 +25,7 @@ See dbgcnt.def for usage information.  */
 #include "diagnostic-core.h"
 #include "tm.h"
 #include "rtl.h"
+#include "dumpfile.h"
 
 #include "dbgcnt.h"
 
Index: graphite-sese-to-poly.c
===================================================================
--- graphite-sese-to-poly.c	(revision 189457)
+++ graphite-sese-to-poly.c	(working copy)
@@ -34,7 +34,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "system.h"
 #include "coretypes.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: tree-data-ref.c
===================================================================
--- tree-data-ref.c	(revision 189457)
+++ tree-data-ref.c	(working copy)
@@ -82,7 +82,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "cfgloop.h"
 #include "tree-data-ref.h"
 #include "tree-scalar-evolution.h"
-#include "tree-pass.h"
+#include "dumpfile.h"
 #include "langhooks.h"
 #include "tree-affine.h"
 #include "params.h"
Index: graphite-blocking.c
===================================================================
--- graphite-blocking.c	(revision 189457)
+++ graphite-blocking.c	(working copy)
@@ -35,7 +35,7 @@ along with GCC; see the file COPYING3.  If not see
 #include "system.h"
 #include "coretypes.h"
 #include "tree-flow.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "cfgloop.h"
 #include "tree-chrec.h"
 #include "tree-data-ref.h"
Index: tree-ssa-math-opts.c
===================================================================
--- tree-ssa-math-opts.c	(revision 189457)
+++ tree-ssa-math-opts.c	(working copy)
@@ -92,7 +92,6 @@ along with GCC; see the file COPYING3.  If not see
 #include "flags.h"
 #include "tree.h"
 #include "tree-flow.h"
-#include "timevar.h"
 #include "tree-pass.h"
 #include "alloc-pool.h"
 #include "basic-block.h"
Index: tree-ssa-propagate.c
===================================================================
--- tree-ssa-propagate.c	(revision 189457)
+++ tree-ssa-propagate.c	(working copy)
@@ -29,10 +29,8 @@
 #include "basic-block.h"
 #include "function.h"
 #include "gimple-pretty-print.h"
-#include "timevar.h"
-#include "tree-dump.h"
+#include "dumpfile.h"
 #include "tree-flow.h"
-#include "tree-pass.h"
 #include "tree-ssa-propagate.h"
 #include "langhooks.h"
 #include "vec.h"
